import matplotlib
matplotlib.use('TkAgg')
import PySwarmDyn as psd
import numpy as np
import os

if __name__ == '__main__':
    N=10;              # default parameter 300
    L=50                # default parameter 50
    time=100.0          # default parameter 300
    dt=0.05             # default parameter 0.05

    noisep=0.2;         # default parameter 0.2
    BC=0                # default parameter 0

    repstrength=0.0     # default parameter 5.0
    algstrength=0.0     # default parameter 1.0
    attstrength=0.0     # default parameter 0.5

    reprange=1.0        # default parameter 1.0
    algrange=5.0        # default parameter 5.0
    attrange=25.0       # default parameter 25.0


    output=0.5

    int_type='global'

    makemovie=False

    # initialize system parameters
    paraSystem=psd.BaseParams(N=N,L=L,time=time,dt=dt,BC=BC,output=output,int_type=int_type)
    # initialize prey parameters
    paraFish=psd.AgentParams(paraSystem,                               
                            repstrength=repstrength,reprange=reprange,
                            algstrength=algstrength,algrange=algrange,
                            attstrength=attstrength,attrange=attrange,
                            noisep=noisep                           )

    if(makemovie==False):
        outdata,agentData=psd.RunAnimate(paraSystem,paraFish)
    else:
        outdata=psd.SingleRun(paraSystem,paraFish)
        psd.MakeMovie(outdata,paraSystem,paraFish)
        os.system('rm -r f*.png')




